install not working when using a specific mysql password
Status: Closed Start date:  
Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.4.1

Description

Hi,

I've been having some problems installing redmine 2.4.1. On my local virtual machine i was using a very simple password for the

mysql user (only numbers and letters). On the production server we had the following password (which we are not using any more, of

course): $enerD$Mi2

If during the installation process I create the user redmine in Mysql and give it this password, this is what happens:

root@redmine:/usr/local/share/redmine# bundle install --without development test postgresql sqlite

Gemfile syntax error:

There is absolutely no more information than this, but the installation process stops here and there is no way to carry on.

If I try the same with my local password (only numbers and letters), it works on my local machine and also on the production server.

I initially though that maybe the problem was that I was using special characters (% and $), but then I tried using the password

$%hola and it worked.

I spent quite a lot of time trying to find out what was going on, so it would be nice if you could check it out. Just in case someone

finds themselve in the same situation.

This is what we are using:

MySQL                          5.5.31

Redmine version                2.4.1.stable

Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

Rails version                  3.2.15

Environment                    production

Database adapter               Mysql2

Thanks a lot and let me know if you need more information.

History

#1 - 2018-09-12 14:26 - Particip IT

- Status changed from New to Resolved

I don't remember exactly how I resolved this issue, but I think the password contained some kind of special characters that Redmine could not really

process as part of a password.

It was definitely not a bug in Redmine I would say.

#2 - 2018-09-12 16:40 - Go MAEDA

Maybe you can resolve the problem by enclosing a password in quotation marks like this:

production:

  adapter: mysql2

  database: redmine

  host: localhost

  username: root

  password: "$enerD$Mi2" 
  encoding: utf8

#3 - 2018-09-12 17:16 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid

Victor Isabel Bueno wrote:

I don't remember exactly how I resolved this issue, but I think the password contained some kind of special characters that Redmine could not

really process as part of a password.

It was definitely not a bug in Redmine I would say.

 Thanks for feedback.

#4 - 2018-09-12 22:37 - Particip IT

Yes, I either did that or just changed the password to something slightly less cumbersome.

Thanks!

#5 - 2018-09-13 02:44 - Go MAEDA

Go MAEDA wrote:

Maybe you can resolve the problem by enclosing a password in quotation marks like this:

[...]

 I have updated RedmineInstall.

https://www.redmine.org/projects/redmine/wiki/RedmineInstall/diff?utf8=%E2%9C%93&version=295&version_from=294&commit=View+differences
https://www.redmine.org/projects/redmine/wiki/RedmineInstall#Step-3-Database-connection-configuration
https://www.redmine.org/projects/redmine/wiki/RedmineInstall/diff?utf8=%E2%9C%93&version=295&version_from=294&commit=View+differences
